cURL
curl --request GET \
--url https://api.buildpass.global/builders/{id}/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildpass.global/builders/{id}/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildpass.global/builders/{id}/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "proj_clgbsb90b001qjy0f0eo1hspp",
"status": "UPCOMING",
"createdAt": "2023-10-03T23:19:35.771Z",
"updatedAt": "2023-10-03T23:19:35.771Z",
"name": "Downtown Mall Construction",
"integrations": [
{
"type": "PROCORE",
"sourceId": "1234567890",
"companyId": "1234567890"
}
]
}{
"errors": [
{
"fieldName": "name",
"message": "This field is required."
}
]
}Projects
Get project
Get a project for a builder
GET
/
builders
/
{id}
/
projects
/
{projectId}
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Example:
"buil_clgbsb90b001qjy0f0eo1hspp"
Example:
"proj_clgbsb90b001qjy0f0eo1hspp"
Response
A project object
Example:
"proj_clgbsb90b001qjy0f0eo1hspp"
Available options:
ARCHIVED, COMPLETE, IN_PROGRESS, UPCOMING Example:
"UPCOMING"
Example:
"2023-10-03T23:19:35.771Z"
Example:
"2023-10-03T23:19:35.771Z"
Example:
"Downtown Mall Construction"
Show child attributes
Show child attributes
⌘I